#ifndef MY_BUTTONS
#define MY_BUTTONS

// ---------------------------------------------------------------------------------------------------------------------
// Rückgabewerte
#define BUTTON_PRESSED_NONE   0
#define BUTTON_PRESSED_LEFT   1
#define BUTTON_PRESSED_MID    2
#define BUTTON_PRESSED_RIGHT  3

#define SWITCH_OFF            0
#define SWITCH_ON             1
// ---------------------------------------------------------------------------------------------------------------------
// Initialisierung Eingänge Taster/Schalter
void buttons_init (void);
// ---------------------------------------------------------------------------------------------------------------------
// Liest Schalterstellung Alarm Ein/Aus Schalter und gibt SWITCH_OFF oder SWITCH_ON zurück
uint8_t alarm_switch_get_state (void);
// ---------------------------------------------------------------------------------------------------------------------
// Liest Taster ein und gibt Statuskonstannte für BUTTON_PRESSED______ zurück
uint8_t buttons_get_state (void);
// ---------------------------------------------------------------------------------------------------------------------
// Wartet auf Loslassen der Tasten --->
//   - Mit buttons_get_state Tastendruck abfragen, Aktion ausführen (Anzeige) anpassen
//   - Danach mit buttons_wait_release warten bis Tastendruck prellfrei beendet wurde
void buttons_wait_release (void);
// ---------------------------------------------------------------------------------------------------------------------

#endif
