#ifndef MY_EEMEM
#define MY_EEMEM

// ---------------------------------------------------------------------------------------------------------------------
// Adresskonstannten zum Lesen/Schreiben aus/in EEPROM
#define EEDATA_ALARM_STUNDE   0
#define EEDATA_ALARM_MINUTE   1
#define EEDATA_FADEIN_DAUER   2
#define EEDATA_ENDVOLUME      3
#define EEDATA_AUFBLENDDAUER  4
// ---------------------------------------------------------------------------------------------------------------------
// Schreibt Daten ins EEPROM, Bezeichnung nach obigen Konstannten, und Datenbyte übergeben
void eemem_write_data (uint8_t name, uint8_t data);
// ---------------------------------------------------------------------------------------------------------------------
// Liest Daten aus EEPROM und gibt Datenbyte zurück, Übergabe Bezeichnung nach obigen Konstannten
uint8_t eemem_read_data (uint8_t name);
// ---------------------------------------------------------------------------------------------------------------------

#endif
