#ifndef MY_RTC
#define MY_RTC

// ---------------------------------------------------------------------------------------------------------------------
// Struktur Zeit Stunden, Minuten, Sekunden für Funktionsüber und -rückgaben
typedef struct {
  uint8_t h;
  uint8_t m;
  uint8_t s;
} timehms_t;
// ---------------------------------------------------------------------------------------------------------------------
// Initialisierung RTC / I2C-Bus
void rtc_init (void);
// ---------------------------------------------------------------------------------------------------------------------
// Uhrzeit setzten/speichern in RTC
// Übergabe Zeit als Stuct timehms_t
void rtc_set_time (timehms_t timehms);
// ---------------------------------------------------------------------------------------------------------------------
// Aktuelle Uhrzeit von RTC abholen
// Rückgabe Zeit als Struct timehms_t
timehms_t rtc_get_time (void);
// ---------------------------------------------------------------------------------------------------------------------

#endif
